{% extends "crud.html" %}


{% block sub_head %}
    {% assets
        filters="cssrewrite, cssmin",
        output="compressed/datepicker.css",
        "css/plugins/bootstrap-datepicker.min.css"
    %}
        {{ mg.async_css(ASSET_URL) }}
    {% endassets %}
    {% assets
        filters="rjsmin",
        output="compressed/datepicker.js",
        "js/plugins/bootstrap-datepicker.min.js"
    %}
        {{ mg.js(ASSET_URL) }}
    {% endassets %}
    <style>
        .gray-bg {background-color: #f5f5f5}
    </style>
{% endblock %}


{% block top_records_navigation %}
    <div class="col"></div>
{% endblock %}


{% block empty_spiel %}
    Daily Summary of Deliveries
{% endblock %}


{% block read_columns %}
{# <script> #}
    {
        data: 'raw_material',
        render: function(data) {
            return data.item_code;
        }
    },
    {
        data: 'raw_material',
        render: function(data) {
            return data.description;
        }
    },
    {
        data: 'delivery_receipt',
        className: 'd-none d-sm-table-cell',
        render: function(data, type, row) {
            if (type === 'sort') {
                return data.receipt_no;
            } else {
                return '<a href="{0}" class="font-weight-bold" aria-expanded="true"> #{1}</a>'.format('{{ url_for("delivery_receipts.edit", _id="placeholder") }}'.replace('placeholder', data._id), data.receipt_no);
            }
        }
    },
    {
        data: 'quantity',
        className: 'd-none d-sm-table-cell',
        render: function(data) {
            return Math.round(data * 10000) / 10000;
        }
    },
    {#
    {
        data: 'price_per_unit',
        className: 'd-none d-sm-none d-md-table-cell',
        render: function(data) {
            return Math.round(data * 100) / 100;
        }
    },
    #}
    {
        data: 'client_from',
        className: 'd-none d-sm-table-cell',
        render: function(data) {
            return data.name;
        }
    },
    {
        data: 'client_for',
        className: 'd-none d-sm-table-cell',
        render: function(data) {
            return data.name;
        }
    },
    {
        data: 'date_quality',
        sortable: false,
        render: function(data, type, row) {
            return '{0} - {1} by {2}'.format(row.quality_control_no, data, row.quality_by);
        }
    },
    {
        data: 'date_approved',
        sortable: false,
        render: function(data, type, row) {
            return '{0} by {1}'.format(data, row.approved_by);
        }
    }
{# </script> #}
{% endblock %}


{% block sub_scripts %}
{# <script> #}
    
{# </script> #}
{% endblock %}
